import { signal } from '@angular/core';
import { ActionType } from '@app/domain/action-type.util';

export const mockAuthenticationFacade = {
  sendRequestPasswordReset: jest.fn(),
  loading: signal({ isLoading: false, action: ActionType.NONE }),
  error: signal({ hasError: false }),
};
